/***************************************************************************
*   Copyright 2007 Niko Sams <niko.sams@gmail.com>                        *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
***************************************************************************/

#ifndef KDEVUPLOADPLUGIN_H
#define KDEVUPLOADPLUGIN_H

#include "iplugin.h"
#include <QtCore/QVariant>
#include <kurl.h>

namespace KDevelop {
  class ProjectBaseItem;
}

class UploadPlugin : public KDevelop::IPlugin
{
Q_OBJECT
public:
    UploadPlugin(QObject *parent, const QVariantList & = QVariantList() );
    virtual ~UploadPlugin();
    virtual void unload();
    QPair<QString,QList<QAction*> > requestContextMenuActions( KDevelop::Context* );

public Q_SLOTS:
    void upload();

private:
    QList<KDevelop::ProjectBaseItem*> m_ctxUrlList;
};

#endif

// kate: space-indent on; indent-width 4; tab-width 4; replace-tabs on
